Bug 580774 - Screenshots are rendered too small to be readable
Screenshots are rendered too small to be readable
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity high
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 22:13 EDT by Susan Burgess
Modified: 2013-03-13 01:16 EDT (History)
7 users (show)

See Also:
Fixed In Version: publican-1.6.3-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 14:56:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Susan Burgess 2010-04-08 22:13:02 EDT
Description of problem:
Screenshots, particularly of complete screens, are rendered too small to be of use to the readers, in the html version. (PDF versions are ok).

Version-Release number of selected component (if applicable):


How reproducible:
Create a screenshot of a full screen, and add to a document. 

Steps to Reproduce:
1. Create screenshot, save as png, add to document.
2. Publish document
3. Screenshot in the html version is forced into a 400 Pixel (maybe, Im guessing)
 display.
  
Actual results:
Screenshot in the html version is forced into a 400 Pixel (maybe, Im guessing)
 display. Screenshot in the pdf is okay.

Expected results:
Screenshot in the html version should be reproduced at the size that the writer specified, either by scaling the image prior to saving, or by using the docbook parameters.

Additional info:
This is user feedback. Getting very negative feedback from reviewers about the screenshots "ugliness" and unreadability.
RHEV has  a mandatory resolution of 1024x768, so I don't think users will be reading the docs on a lower resolution. Also, it is necessary to show the full screen on many occasions, as the user needs the context of the portal.
Comment 1 David Jorm 2010-04-08 22:28:57 EDT
For me, the PDF images are also of a very poor resolution, and the way in which they scale is much less readable to the scaling to a similar resolution in GIMP.
Comment 2 Jeff Fearn 2010-04-09 00:21:57 EDT
(In reply to comment #0)
> Screenshot in the html version is forced into a 400 Pixel (maybe, Im guessing)
>  display. Screenshot in the pdf is okay.

The 444 pixel limitation is at the request of ECS, you will need management sign off to change it.

(In reply to comment #1)
> For me, the PDF images are also of a very poor resolution, and the way in which
> they scale is much less readable to the scaling to a similar resolution in
> GIMP.    

In PDF the entire bitmap is embedded and the view port size is set, it is then up to the PDF viewer to scale the image. If you are unhappy with the scaling you will either need to scale the image yourself, which is what should happen anyway, or you need to open a bug against the viewer to get their scaling improved.

Cheers, Jeff.
Comment 3 Jeff Fearn 2010-05-04 02:42:52 EDT
Changed hard coded value to a config parameter, max_image_width.

The default value for max_image_width is 444.

Books can override this by setting max_image_width in their publican.cfg file.

Brands can enforce a max width by setting max_image_width in their overrides.cfg file.

No brands have had their overrides.cfg file updated as part of this ticket.
Comment 4 Ruediger Landmann 2010-05-06 00:47:44 EDT
Confirmed working as described in 1.6.3.t122 -- oversized images free to run off the page in both HTML and PDF
Comment 5 Fedora Update System 2010-05-13 18:20:31 EDT
publican-1.6.3-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 6 Fedora Update System 2010-05-13 18:21:49 EDT
publican-1.6.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 7 Fedora Update System 2010-05-15 16:36:10 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 8 Fedora Update System 2010-05-15 16:45:26 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 9 Fedora Update System 2010-05-17 14:55:23 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-05-17 14:59:15 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.